/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.reflection;

/**
 *
 * @author ranides
 */
public interface GenericParam {

    String name();

    GenericClass type();
    
    final class Immutable implements GenericParam {
        
        private final String name;
        private final GenericClass type;
        

        public Immutable(String name, GenericClass type) {
            this.name = name;
            this.type = type;
        }

        @Override
        public String name() {
            return name;
        }

        @Override
        public GenericClass type() {
            return type;
        }
        
    }

}
